## Configure the history.
# First up, enable extended history mode
setopt EXTENDED_HISTORY
# Now ignore duplicates in the history
setopt HIST_IGNORE_ALL_DUPS
# Ignore gaps too
setopt HIST_IGNORE_SPACE
# Don't store invocations of 'history' in the history
setopt HIST_NO_STORE
# Enable incremental append
setopt INC_APPEND_HISTORY
# Enable zsh history sharing. Scary but fun
setopt SHARE_HISTORY

## Now the history file configuration itself

# The file to store history in
HISTFILE=~/.zsh_history
# Store 2000 commands in memory
HISTSIZE=2000
# Save 1000 commands
SAVEHIST=1000

# Remove / from the default WORDCHARS
WORDCHARS=$(echo $WORDCHARS | tr -d '/')

